/*
***********************************************************************************************************************
*                                     	 ILI9320 Portrait example for LPC2103
*
* Programmer 	: 	John Leung, TechToys. Hong Kong
* Web presence  : 	www.TechToys.com.hk
* Language		: 	Keil C uVision 3.53, RealView Compiler Demo version from Keil
* Hardware		: 	LPC2103_Eval_1A with TY240_240320_x.x
* Date			: 	7th March 2008
* File			: 	ILI9320 Demo.c
* Note			: 	Simple pure color display for screen inspection
***********************************************************************************************************************
*/  

#include <LPC2103.H>
#include "..\SYSTEM\system.h"
#include "..\IOCONFIG\ioconfig.h"
#include "..\Graphics\Include\ili9320P_8BIT.h"
#include "..\TMR0\tmr0.h"

/*
***********************************************************************************************************************
* 														MAIN
*
***********************************************************************************************************************
*/
int main(void)
{
	sysInit();									//Set CCLK and PCLK to 60MHz 
 	cDispInit();								//initialize color display


	for(;;)
	{
		cDispClearDevice(BRIGHTBLUE);
		DelayMs(1000);
		cDispClearDevice(BRIGHTGREEN);
		DelayMs(1000);
		cDispClearDevice(BRIGHTCYAN);
		DelayMs(1000);
		cDispClearDevice(BRIGHTRED);
		DelayMs(1000);
		cDispClearDevice(BRIGHTMAGENTA);
		DelayMs(1000);
		cDispClearDevice(BRIGHTYELLOW);
		DelayMs(1000);
		cDispClearDevice(WHITE);
		DelayMs(1000);
		cDispClearDevice(BLACK);
		DelayMs(1000);	
	}
}
